%define upstream_name    HTML-SimpleLinkExtor
%define upstream_version 1.273

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple way to extract links
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoLoader)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(HTML::LinkExtor) >= 1.280.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Output)
BuildRequires: perl(URI) >= 1.90.0
BuildRequires: perl(URI::file)
BuildArch:  noarch

%description
This is a simple HTML link extractor designed for the person who does not
want to deal with the intricacies of 'HTML::Parser' or the de-referencing
needed to get links out of 'HTML::LinkExtor'.

You can extract all the links or some of the links (based on the HTML tag
name or attribute name). If a <BASE HREF> tag is found, all of the relative
URLs will be resolved according to that reference.

This module is simply a subclass around 'HTML::LinkExtor', so it can only
parse what that module can handle. Invalid HTML or XHTML may cause
problems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Nov 14 2020 tv <tv> 1.273.0-1.mga8
+ Revision: 1645862
- update to 1.273

* Sat Feb 15 2020 umeabot <umeabot> 1.272.0-2.mga8
+ Revision: 1527670
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Jul 22 2019 tv <tv> 1.272.0-1.mga8
+ Revision: 1423415
- update to 1.272

* Thu Sep 20 2018 umeabot <umeabot> 1.271.0-2.mga7
+ Revision: 1283973
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 1.271.0-1.mga7
+ Revision: 1238928
- update to 1.271

* Sun Jun 19 2016 pterjan <pterjan> 1.270.0-5.mga6
+ Revision: 1028287
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 1.270.0-4.mga6
+ Revision: 929391
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-3.mga5
+ Revision: 740334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-2.mga5
+ Revision: 684959
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.270.0-1.mga5
+ Revision: 587441
- update to 1.27
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.250.0-2.mga3
+ Revision: 368108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.25

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 33809
- mageia rebuild
- imported package perl-HTML-SimpleLinkExtor

